rb_transcoding Struct Reference

## Data Structures

union | rb_transcoding_state_t

## Data Fields

const rb_transcoder * | transcoder
int | flags
int | resume_position
unsigned int | next_table
VALUE | next_info
unsigned char | next_byte
unsigned int | output_index
ssize_t | recognized_len
ssize_t | readagain_len
union {
unsigned char ary [8]
unsigned char * ptr
} | readbuf
ssize_t | writebuf_off
ssize_t | writebuf_len
union {
unsigned char ary [8]
unsigned char * ptr
} | writebuf
union rb_transcoding::rb_transcoding_state_t | state

## Detailed Description

Definition at line 53 of file transcode.c.

## Field Documentation

unsigned char rb_transcoding::ary[8]

Definition at line 67 of file transcode.c.

Referenced by rb_transcoding_close(), rb_transcoding_memsize(), and rb_transcoding_open_by_transcoder().

int rb_transcoding::flags

Definition at line 56 of file transcode.c.

Referenced by rb_transcoding_open_by_transcoder().

unsigned char rb_transcoding::next_byte

Definition at line 61 of file transcode.c.

VALUE rb_transcoding::next_info

Definition at line 60 of file transcode.c.

unsigned int rb_transcoding::next_table

Definition at line 59 of file transcode.c.

unsigned int rb_transcoding::output_index

Definition at line 62 of file transcode.c.

Referenced by transcode_restartable0().

unsigned char* rb_transcoding::ptr

Definition at line 68 of file transcode.c.

Referenced by rb_transcoding_close(), and rb_transcoding_open_by_transcoder().

ssize_t rb_transcoding::readagain_len

Definition at line 65 of file transcode.c.

Referenced by rb_econv_convert0(), rb_econv_insert_output(), rb_econv_putback(), rb_econv_putbackable(), rb_transcoding_open_by_transcoder(), and transcode_restartable().

union { ... } rb_transcoding::readbuf

Referenced by rb_transcoding_close(), rb_transcoding_memsize(), and rb_transcoding_open_by_transcoder().

ssize_t rb_transcoding::recognized_len

Definition at line 64 of file transcode.c.

Referenced by rb_econv_convert0(), rb_econv_insert_output(), rb_econv_putback(), rb_transcoding_open_by_transcoder(), transcode_char_start(), transcode_restartable(), and transcode_restartable0().

int rb_transcoding::resume_position

Definition at line 58 of file transcode.c.

Referenced by rb_transcoding_open_by_transcoder(), and transcode_restartable0().

union rb_transcoding::rb_transcoding_state_t rb_transcoding::state

Referenced by rb_transcoding_close(), and rb_transcoding_open_by_transcoder().

const rb_transcoder* rb_transcoding::transcoder

Definition at line 54 of file transcode.c.

Referenced by econv_convpath(), econv_equal(), make_econv_exception(), make_replacement(), rb_econv_add_transcoder_at(), rb_econv_binmode(), rb_econv_convert0(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_encoding_to_insert_output(), rb_econv_init_by_convpath(), rb_econv_insert_output(), rb_econv_substr_append(), rb_transcoding_close(), rb_transcoding_memsize(), rb_transcoding_open_by_transcoder(), transcode_loop(), and transcode_restartable0().

union { ... } rb_transcoding::writebuf

Referenced by rb_transcoding_close(), rb_transcoding_memsize(), and rb_transcoding_open_by_transcoder().

ssize_t rb_transcoding::writebuf_len

Definition at line 72 of file transcode.c.

Referenced by rb_transcoding_open_by_transcoder().

ssize_t rb_transcoding::writebuf_off

Definition at line 71 of file transcode.c.

Referenced by rb_transcoding_open_by_transcoder().

The documentation for this struct was generated from the following file:

- transcode.c